| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Typedefs | Functions
Tuples::detail Namespace Reference

## Classes
class | ErrorHandler
| Concrete error handlers for dealing with classes, which supports member functions Error,Warning and Print ( e.g. More...
struct | to_
struct | to_float
class | TupleObjImp
| The simplest concrete implementation of class TupleObj with 3 arbitrary error handlers Any types (classes, functions, etc.) which supports the semantics. More...

## Typedefs
template<typename Iterator >
using | const_ref_t = typename std::add_const< typename std::iterator_traits< Iterator >::reference >::type

## Functions
template<class HANDLER1 , class HANDLER2 >
TupleObj * | createTupleObj (HANDLER1 handler1, HANDLER2 handler2, const std::string &name, NTuple::Tuple *tuple, const CLID &clid=CLID_ColumnWiseTuple, const Tuples::Type type=Tuples::NTUPLE)
| Templated helper functions allow to avoid heavy semantics of dealing with explicit type of class TupleObjImp. More...
template<class OBJECT , class FUNCTION >
ErrorHandler< OBJECT, FUNCTION > | make_handler (const OBJECT *object, FUNCTION function)
| Templated helper functions allow to avoid heavy semantics of dealing with explicit type of class ErrorHandler. More...

## Typedef Documentation

template<typename Iterator >

using Tuples::detail::const_ref_t = typedef typename std::add_const<typename std::iterator_traits<Iterator>::reference>::type

Definition at line 70 of file TupleObj.h.

## Function Documentation

template<class HANDLER1 , class HANDLER2 >

TupleObj* Tuples::detail::createTupleObj | ( | HANDLER1 | handler1,
|  | HANDLER2 | handler2,
|  | const std::string & | name,
|  | NTuple::Tuple * | tuple,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`,
|  | const Tuples::Type | type = `Tuples::NTUPLE`
| ) |  |
| inline

Templated helper functions allow to avoid heavy semantics of dealing with explicit type of class TupleObjImp.

void print_error ( const std::string& msg , StatusCode sc )
{ std::cout <<
"Error" << msg << " code " << sc.getCode() << std::endl ; }
void print_warning ( const std::string& msg , StatusCode sc )
{ std::cout <<
"Warning" << msg << " code " << sc.getCode() << std::endl ; }
NTuple::Tuple* tuple = ... ;
TupleObj* obj =
createTupleObj( print_errror ,
print_warning ,
" my tuple " , ntuple ) ;

Few concrete error handlers for dealing with classes, which supports member functions Error,Warning and Print ( e.g. class GaudiAlgorithm or class GaudiTool ) are provided

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  2004-1-24

Definition at line 149 of file TupleDetail.h.

155 {
156 return new TupleObjImp<HANDLER1,HANDLER2>
157 ( handler1 , handler2 ,
158 name , tuple , clid , type ) ;
159 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:28
gaudirun.type
type
Definition: gaudirun.py:125
template<class OBJECT , class FUNCTION >

ErrorHandler<OBJECT,FUNCTION> Tuples::detail::make_handler | ( | const OBJECT * | object,
|  | FUNCTION | function
| ) |  |
| inline

Templated helper functions allow to avoid heavy semantics of dealing with explicit type of class ErrorHandler.

const GaudiAlgorithm* algo = ... ;
// error handler using GaudiAlgorithm::Error member function
make_handler( algo , &GaudiAlgorithm::Error ) ;
const GaudiTool* tool = .... ;
// error handler using GaudiTool::Print member function
make_handler( tool , &GaudiTool::Print ) ;

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  2004-1-24

Definition at line 216 of file TupleDetail.h.

218 { return ErrorHandler<OBJECT,FUNCTION>( object , function ); }